Bug 139511 - [MAINTAINER] archivers/rpm5: xz support
[MAINTAINER] archivers/rpm5: xz support
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-11 14:30 UTC by afb
Modified: 2009-10-22 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (20.78 KB, patch)
2009-10-11 14:30 UTC, afb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description afb 2009-10-11 14:30:03 UTC
Backport of xz compression support, from RPM 5.2.
(should be OK now that "xz" is in the ports tree,
compared to previously used lzmautils-devel port)
Additionally documenting "gendiff" being bashist.

Fix: Patch attached with submission follows:
Comment 1 Wesley Shields freebsd_committer 2009-10-12 18:29:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 2 dfilter freebsd_committer 2009-10-22 14:27:29 UTC
wxs         2009-10-22 13:27:20 UTC

  FreeBSD ports repository

  Modified files:
    archivers/rpm5       Makefile 
  Added files:
    archivers/rpm5/files patch-xz-support 
  Log:
  - Add xz compression support.
  
  PR:             ports/139511
  Submitted by:   Anders F Björklund <afb@rpm5.org> (maintainer)
  
  Revision  Changes    Path
  1.27      +13 -2     ports/archivers/rpm5/Makefile
  1.1       +650 -0    ports/archivers/rpm5/files/patch-xz-support (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Wesley Shields freebsd_committer 2009-10-22 14:27:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!